Page MenuHomePhabricator

[Mips][FastISel] Fix handling of icmp with i1 type.
ClosedPublic

Authored by draganm on Jul 13 2018, 5:45 AM.

Details

Summary

The Mips FastISel back-end does not extend i1 values while lowering icmp. Ensure that we bail into DAG ISel when handling this case.

Diff Detail

Repository
rL LLVM

Event Timeline

draganm created this revision.Jul 13 2018, 5:45 AM
This revision is now accepted and ready to land.Jul 16 2018, 8:40 AM
petarj requested changes to this revision.Jul 17 2018, 6:41 AM

test/CodeGen/Mips/Fast-ISel/sel1.ll will fail with this change. Double check.

This revision now requires changes to proceed.Jul 17 2018, 6:41 AM
draganm updated this revision to Diff 155880.Jul 17 2018, 7:21 AM

Replaced the usage of icmp i1 with xor i1 within test/CodeGen/Mips/Fast-ISel/sel1.ll . Now the test won't trigger fast-isel-abort.

petarj accepted this revision.Jul 17 2018, 8:01 AM
This revision is now accepted and ready to land.Jul 17 2018, 8:01 AM
This revision was automatically updated to reflect the committed changes.